Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.WebPresencePolicy

    java.lang.Object
      java.lang.Enum<Account.WebPresencePolicy>
          com.skype.api.Account.WebPresencePolicy

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.WebPresencePolicy>

Enclosing class:
  Account

    public static enum Account.WebPresencePolicy

extends java.lang.Enum<Account.WebPresencePolicy>
implements EnumConverting

Recognized values for the P_WEBPRESENCEPOLICY property that controls whether your online status (presence) can be seen using the "Skype buttons" ( http://www.skype.com/share/buttons/ ) embedded in web pages. Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntPropertyserver-side.

Enum Constant Summary
`WEBPRESENCE_DISABLED` Disable displaying online status on web for this account.
`WEBPRESENCE_ENABLED` Enable displaying online status on web for this account.

Field Summary
`static int` | `WEBPRESENCE_DISABLED_VALUE`
`static int` | `WEBPRESENCE_ENABLED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.WebPresencePolicy` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.WebPresencePolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.WebPresencePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEBPRESENCE_DISABLED

    public static final Account.WebPresencePolicy WEBPRESENCE_DISABLED

  Disable displaying online status on web for this account.

### WEBPRESENCE_ENABLED

    public static final Account.WebPresencePolicy WEBPRESENCE_ENABLED

  Enable displaying online status on web for this account.

Field Detail

### WEBPRESENCE_DISABLED_VALUE

    public static final int WEBPRESENCE_DISABLED_VALUE

See Also:
  Constant Field Values

### WEBPRESENCE_ENABLED_VALUE

    public static final int WEBPRESENCE_ENABLED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.WebPresencePolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.WebPresencePolicy c : Account.WebPresencePolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.WebPresencePolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.WebPresencePolicy get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.